<?php

class Prefecture {
    var $dbh = false;

    // DB³
    function connect() {
        if (!$this->dbh) {
            $constr = 'host=localhost dbname=webdb user=webdb';
            $dbh = pg_connect($constr);
            if (!$dbh) {
                die('DB connection error');
            }
            $this->dbh = $dbh;
        }
    }

    // DBȤ³
    function disconnect() {
        if ($this->dbh) {
            pg_close($this->dbh);
            $this->dbh = false;
        }
    }

    // ꤵ줿ֹƻܸ֤
    function getInfo($id) {
        $sql = "select * from prefecture where prefecture_id = $id";
        $result = pg_exec($this->dbh, $sql);
        if (!$result) {
            die('DB exec error');
        }
        if (pg_numrows($result) == 1) {
            $ar = pg_fetch_array($result, 0, PGSQL_ASSOC);
        }
        pg_freeresult($result);

        if (empty($ar)) {
            return false;
        }
        else {
            return array('ja' => $ar['name_ja'], 'en' => $ar['name_en']);
        }
    }

    // ٤Ƥƻܸ֤
    function getInfoAll() {
        $sql = 'select * from prefecture order by prefecture_id';
        $result = pg_exec($this->dbh, $sql);
        if (!$result) {
            die('DB exec error');
        }
        $infos = array();
        $num = pg_numrows($result);

        for ($i = 0; $i < $num; ++$i) {
            $ar = pg_fetch_array($result, $i, PGSQL_ASSOC);
            $infos[$ar['prefecture_id']] = array('ja' => $ar['name_ja'],
                                              'en' => $ar['name_en']);
        }
        pg_freeresult($result);
        return $infos;
    }
}
?>